Package org.apache.sysds.runtime.compress.colgroup.scheme

# Class RLEScheme

java.lang.Object
org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme
org.apache.sysds.runtime.compress.colgroup.scheme.RLEScheme

All Implemented Interfaces:
  `Cloneable`, `ICLAScheme`

public class RLEScheme extends ACLAScheme

## Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

## Constructor Summary

Constructors
Constructor
Description
`RLEScheme(IColIndex cols)`

## Method Summary

Modifier and Type
Method
Description
`ACLAScheme`
`clone()`
`static ICLAScheme`
`create(ColGroupRLE g)`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme

`encode, encode, encodeT, encodeT, update, update, updateAndEncode, updateAndEncode, updateAndEncodeT, updateAndEncodeT, updateT, updateT`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RLEScheme

public RLEScheme(IColIndex cols)

## Method Details

### create

public static ICLAScheme create(ColGroupRLE g)

### clone

public ACLAScheme clone()

Specified by:
  `clone` in interface `ICLAScheme`
Specified by:
  `clone` in class `ACLAScheme`